API Reference
List Folders
List all accessible folders with pagination, sorted alphabetically. Includes folder hierarchy via parent_folder_id.
GET
/
v1
/
folders
List folders
curl --request GET \
--url https://public-api.granola.ai/v1/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.granola.ai/v1/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.granola.ai/v1/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folders": [
{
"id": "fol_4y6LduVdwSKC27",
"object": "folder",
"name": "Top secret recipes",
"parent_folder_id": "fol_a74g2hvl98iUHG"
}
],
"hasMore": true,
"cursor": "eyJjcmVkZW50aWFsfQ=="
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The cursor to continue from
Example:
"eyJjcmVkZW50aWFsfQ=="
Maximum number of folders to return per page
Required range:
1 <= x <= 30Example:
10
⌘I
List folders

